// Compatibility declarations for things which might not be present in
// certain build environments

#ifndef O_BINARY
#define  O_BINARY 0
#endif

#define FP_OFF(__p) ((unsigned)(__p))

#ifdef UNDERSCORES
# ifdef __MINGW32__
#  define ASMSYM(x) "_"##x
# else
#  define ASMSYM(x) _##x
# endif
#else
#define ASMSYM(x) x
#endif

#ifndef SEEK_SET
# define SEEK_SET 0
#endif
#ifndef SEEK_CUR
# define SEEK_CUR 1
#endif
#ifndef SEEK_END
# define SEEK_END 2
#endif

#define min(a,b) ( ((a) < (b)) ? (a) : (b) )
#define max(a,b) ( ((a) > (b)) ? (a) : (b) )

